FilterChain (Apache Ant API)
Keywords: org.apache.tools.ant.types.FilterChain,FilterChain class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class FilterChain

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.FilterChain

All Implemented Interfaces:
  java.lang.Cloneable

public final class FilterChain
extends DataType
implements java.lang.Cloneable

FilterChain may contain a chained set of filter readers.

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`FilterChain()`

Method Summary
`void` | `add(ChainableReader filter)` add a chainfilter
`void` | `addClassConstants(ClassConstants classConstants)`
`void` | `addContainsRegex(TokenFilter.ContainsRegex filter)` containsregex
`void` | `addDeleteCharacters(TokenFilter.DeleteCharacters filter)` delete characters filter
`void` | `addEscapeUnicode(EscapeUnicode escapeUnicode)`
`void` | `addExpandProperties(ExpandProperties expandProperties)`
`void` | `addFilterReader(AntFilterReader filterReader)`
`void` | `addHeadFilter(HeadFilter headFilter)`
`void` | `addIgnoreBlank(TokenFilter.IgnoreBlank filter)` ignoreBlank
`void` | `addLineContains(LineContains lineContains)`
`void` | `addLineContainsRegExp(LineContainsRegExp lineContainsRegExp)`
`void` | `addPrefixLines(PrefixLines prefixLines)`
`void` | `addReplaceRegex(TokenFilter.ReplaceRegex filter)` replaceregex
`void` | `addReplaceString(TokenFilter.ReplaceString filter)` replacestring
`void` | `addReplaceTokens(ReplaceTokens replaceTokens)`
`void` | `addStripJavaComments(StripJavaComments stripJavaComments)`
`void` | `addStripLineBreaks(StripLineBreaks stripLineBreaks)`
`void` | `addStripLineComments(StripLineComments stripLineComments)`
`void` | `addTabsToSpaces(TabsToSpaces tabsToSpaces)`
`void` | `addTailFilter(TailFilter tailFilter)`
`void` | `addTokenFilter(TokenFilter tokenFilter)`
`void` | `addTrim(TokenFilter.Trim filter)` trim
`java.util.Vector` | `getFilterReaders()`
`void` | `setRefid(Reference r)` Makes this instance in effect a reference to another FilterChain instance.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterChain

    public FilterChain()

Method Detail

### addFilterReader

    public final void addFilterReader(AntFilterReader filterReader)

### getFilterReaders

    public final java.util.Vector getFilterReaders()

### addClassConstants

    public final void addClassConstants(ClassConstants classConstants)

### addExpandProperties

    public final void addExpandProperties(ExpandProperties expandProperties)

### addHeadFilter

    public final void addHeadFilter(HeadFilter headFilter)

### addLineContains

    public final void addLineContains(LineContains lineContains)

### addLineContainsRegExp

    public final void addLineContainsRegExp(LineContainsRegExp lineContainsRegExp)

### addPrefixLines

    public final void addPrefixLines(PrefixLines prefixLines)

### addReplaceTokens

    public final void addReplaceTokens(ReplaceTokens replaceTokens)

### addStripJavaComments

    public final void addStripJavaComments(StripJavaComments stripJavaComments)

### addStripLineBreaks

    public final void addStripLineBreaks(StripLineBreaks stripLineBreaks)

### addStripLineComments

    public final void addStripLineComments(StripLineComments stripLineComments)

### addTabsToSpaces

    public final void addTabsToSpaces(TabsToSpaces tabsToSpaces)

### addTailFilter

    public final void addTailFilter(TailFilter tailFilter)

### addEscapeUnicode

    public final void addEscapeUnicode(EscapeUnicode escapeUnicode)

  Since:
    Ant 1.6

### addTokenFilter

    public final void addTokenFilter(TokenFilter tokenFilter)

  Since:
    Ant 1.6

### addDeleteCharacters

    public void addDeleteCharacters(TokenFilter.DeleteCharacters filter)

  delete characters filter

  Since:
    Ant 1.6

### addContainsRegex

    public void addContainsRegex(TokenFilter.ContainsRegex filter)

  containsregex

  Since:
    Ant 1.6

### addReplaceRegex

    public void addReplaceRegex(TokenFilter.ReplaceRegex filter)

  replaceregex

  Since:
    Ant 1.6

### addTrim

    public void addTrim(TokenFilter.Trim filter)

  trim

  Since:
    Ant 1.6

### addReplaceString

    public void addReplaceString(TokenFilter.ReplaceString filter)

  replacestring

  Since:
    Ant 1.6

### addIgnoreBlank

    public void addIgnoreBlank(TokenFilter.IgnoreBlank filter)

  ignoreBlank

  Since:
    Ant 1.6

### setRefid

    public void setRefid(Reference r)
                  throws BuildException

  Makes this instance in effect a reference to another FilterChain instance.

  You must not set another attribute or nest elements inside this element if you make it a reference.

  Overrides:
    `setRefid` in class `DataType`
  Parameters:
    `r` - the reference to which this instance is associated
  Throws:
    `BuildException` - if this instance already has been configured.

### add

    public void add(ChainableReader filter)

  add a chainfilter

  Since:
    Ant 1.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.